Bug 186941 - Do not do early processing of incoming sync IPC unless we're waiting for a sync IPC reply
Summary: Do not do early processing of incoming sync IPC unless we're waiting for a sy...
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks: 189948
  Show dependency treegraph
 
Reported: 2018-06-22 14:10 PDT by Chris Dumez
Modified: 2018-10-01 12:31 PDT (History)
11 users (show)

See Also:


Attachments
WIP Patch (2.40 KB, patch)
2018-06-22 14:14 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (5.08 KB, patch)
2018-06-22 14:28 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-sierra-wk2 (3.04 MB, application/zip)
2018-06-22 15:37 PDT, Build Bot
no flags Details
Patch (5.53 KB, patch)
2018-06-22 15:54 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews201 for win-future (12.75 MB, application/zip)
2018-06-22 22:09 PDT, Build Bot
no flags Details
Patch (5.43 KB, patch)
2018-09-21 14:26 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.78 MB, application/zip)
2018-09-21 18:21 PDT, Build Bot
no flags Details
Patch (6.18 KB, patch)
2018-09-24 09:10 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2018-06-22 14:10:55 PDT
Do not do early processing of incoming sync IPC unless we're waiting for a sync IPC reply.
Comment 1 Chris Dumez 2018-06-22 14:14:14 PDT
Created attachment 343366 [details]
WIP Patch
Comment 2 Chris Dumez 2018-06-22 14:28:19 PDT
Created attachment 343367 [details]
Patch
Comment 3 Build Bot 2018-06-22 15:37:55 PDT
Comment on attachment 343367 [details]
Patch

Attachment 343367 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8296126

New failing tests:
plugins/update-widgets-crash.html
Comment 4 Build Bot 2018-06-22 15:37:57 PDT
Created attachment 343376 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 5 Chris Dumez 2018-06-22 15:54:34 PDT
Created attachment 343384 [details]
Patch
Comment 6 Build Bot 2018-06-22 22:09:42 PDT
Comment on attachment 343384 [details]
Patch

Attachment 343384 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/8300781

New failing tests:
http/tests/misc/blob-size.html
Comment 7 Build Bot 2018-06-22 22:09:54 PDT
Created attachment 343421 [details]
Archive of layout-test-results from ews201 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews201  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 8 Chris Dumez 2018-09-21 14:26:28 PDT
Created attachment 350429 [details]
Patch
Comment 9 Build Bot 2018-09-21 18:20:33 PDT
Comment on attachment 350429 [details]
Patch

Attachment 350429 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/9305449

New failing tests:
http/tests/misc/blob-size.html
Comment 10 Build Bot 2018-09-21 18:21:05 PDT
Created attachment 350467 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 11 Chris Dumez 2018-09-24 09:05:16 PDT
My new test is crashing on Windows but the attached archive does not contain a crash trace :/

Also note that my code change is WebKit2-specific so it is merely my new test findings a pre-existing Windows port bug related to blobs.
Comment 12 Chris Dumez 2018-09-24 09:10:34 PDT
Created attachment 350643 [details]
Patch
Comment 13 Chris Dumez 2018-09-24 12:44:13 PDT
Comment on attachment 350643 [details]
Patch

Clearing flags on attachment: 350643

Committed r236420: <https://trac.webkit.org/changeset/236420>
Comment 14 Chris Dumez 2018-09-24 12:44:15 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 Radar WebKit Bug Importer 2018-09-24 12:45:37 PDT
<rdar://problem/44736030>
Comment 16 Chris Dumez 2018-09-25 16:29:42 PDT
Reverted r236420 and r236458 for reason:

This change is not fully correct

Committed r236487: <https://trac.webkit.org/changeset/236487>
Comment 17 Chris Dumez 2018-10-01 12:31:57 PDT
Add too much complexity as it makes it so that 2 synchronous IPC messages may no longer get processed in order.